#pragma once

#include "ImageReader.h"
#include "TypeDefine.h"
// CCurVideoDlg 对话框

class CCurVideoDlg : public CDialog
{
	DECLARE_DYNAMIC(CCurVideoDlg)

public:
	CCurVideoDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CCurVideoDlg();

// 对话框数据
	enum { IDD = IDD_DLG_VIDEO_CURRENT };
	CScrollBar m_scrollbar_contrast;
	CScrollBar m_scrollbar_light;
	CScrollBar m_scrollbar_hue;
	CScrollBar m_scrollbar_satuation;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
public:
	UINT m_uiCardNumber;
	UINT m_uiVideoMode;
	BOOL m_bEnableCgOverlay;
	UINT m_IDTimer;
	BOOL m_bEnableSetDvdInfo;
	BOOL m_bEnableSetAudioInfo;
	UINT uiLastDvdsubnum;
	UINT uiLastDvdaudionum;
	CString m_strFileName;
	//"在播文件"和"待播文件"中的"长度""宽度""高度"-edit
	MEDIA_FILE_INFORMATION m_mfiMediaFileInformation;


	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnTimer(UINT nIDEvent);
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedButtonWinposSet();
	afx_msg void OnBnClickedButtonSetSeek();
	afx_msg void OnBnClickedButtonSetMosaic();
	afx_msg void OnBnClickedButtonClearMosaic();
	afx_msg void OnBnClickedButtonFadeout();
	afx_msg void OnBnClickedButtonSetBackgroundPicture();
	afx_msg void OnBnClickedButtonRecorderPlaybackPic();
	afx_msg void OnBnClickedButtonCgSwitch();
	afx_msg void OnCbnSelchangeComboVideoLayerOverlay();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//afx_msg void OnBnClickedButtonSubpictureIndex2();
	//afx_msg void OnBnClickedButtonDvdAudioIndex();
	afx_msg void OnCbnSelchangeEditSubpictureIndex2();
	afx_msg void OnCbnSelchangeEditDvdAudioIndex();
	afx_msg void OnBnClickedButtonFrontFrame();
	afx_msg void OnBnClickedButtonNextFrame();
};
